Skip to content
This repository

The Objective-C library dependency manager.

Fetching latest commit…

Cannot retrieve the latest commit at this time

README.md

CocoaPods

CocoaPods is an Objective-C library package manager. It tries to take away all hard work of maintaining your dependencies, but in a lean and flexible way.

Its goal is to create a more centralized overview of open-source libraries and unify the way in which we deal with them.

CocoaPods will:

  • Calculate the right set of versions of all of your project’s dependencies. Currently the resolver is very naive and any conflicts will have to be solved by you, the user. This will change in the future.
  • Install dependencies.
  • Set them up to be build as part of a ‘dependency’ static library, which your project links against.

For more in depth information see the wiki.

NOTE: At the moment only iOS projects are supported, but this will be fixed in the very near future.

Installing CocoaPods

You’ll need MacRuby. CocoaPods itself installs through RubyGems, the Ruby package manager:

$ brew install macruby
$ macgem install cocoapods
$ pod setup

The load time can be improved a bit by compiling the Ruby source files:

$ macgem install rubygems-compile
$ macgem compile cocoapods

Contact

Eloy Durán:

LICENSE

These works are available under the MIT license. See the LICENSE file for more info.

Something went wrong with that request. Please try again.